# tkbeacon
This is the Translator Knowledge Beacon web service application programming interface (API). 

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.3.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.languages.PythonClientCodegen
For more information, please visit [http://starinformatics.com](http://starinformatics.com)

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import tkbeacon 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import tkbeacon
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import tkbeacon
from tkbeacon.rest import ApiException
from pprint import pprint
# create an instance of the API class
api_instance = tkbeacon.ConceptsApi()
concept_id = 'concept_id_example' # str | (url-encoded) CURIE identifier of concept of interest

try:
    api_response = api_instance.get_concept_details(concept_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ConceptsApi->get_concept_details: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ConceptsApi* | [**get_concept_details**](docs/ConceptsApi.md#get_concept_details) | **GET** /concepts/{concept_id} | 
*ConceptsApi* | [**get_concepts**](docs/ConceptsApi.md#get_concepts) | **GET** /concepts | 
*ConceptsApi* | [**get_exact_matches_to_concept_list**](docs/ConceptsApi.md#get_exact_matches_to_concept_list) | **GET** /exactmatches | 
*MetadataApi* | [**get_concept_categories**](docs/MetadataApi.md#get_concept_categories) | **GET** /categories | 
*MetadataApi* | [**get_knowledge_map**](docs/MetadataApi.md#get_knowledge_map) | **GET** /kmap | 
*MetadataApi* | [**get_predicates**](docs/MetadataApi.md#get_predicates) | **GET** /predicates | 
*StatementsApi* | [**get_statement_details**](docs/StatementsApi.md#get_statement_details) | **GET** /statements/{statement_id} | 
*StatementsApi* | [**get_statements**](docs/StatementsApi.md#get_statements) | **GET** /statements | 


## Documentation For Models

 - [BeaconConcept](docs/BeaconConcept.md)
 - [BeaconConceptCategory](docs/BeaconConceptCategory.md)
 - [BeaconConceptDetail](docs/BeaconConceptDetail.md)
 - [BeaconConceptWithDetails](docs/BeaconConceptWithDetails.md)
 - [BeaconKnowledgeMapObject](docs/BeaconKnowledgeMapObject.md)
 - [BeaconKnowledgeMapPredicate](docs/BeaconKnowledgeMapPredicate.md)
 - [BeaconKnowledgeMapStatement](docs/BeaconKnowledgeMapStatement.md)
 - [BeaconKnowledgeMapSubject](docs/BeaconKnowledgeMapSubject.md)
 - [BeaconPredicate](docs/BeaconPredicate.md)
 - [BeaconStatement](docs/BeaconStatement.md)
 - [BeaconStatementAnnotation](docs/BeaconStatementAnnotation.md)
 - [BeaconStatementCitation](docs/BeaconStatementCitation.md)
 - [BeaconStatementObject](docs/BeaconStatementObject.md)
 - [BeaconStatementPredicate](docs/BeaconStatementPredicate.md)
 - [BeaconStatementSubject](docs/BeaconStatementSubject.md)
 - [BeaconStatementWithDetails](docs/BeaconStatementWithDetails.md)
 - [ExactMatchResponse](docs/ExactMatchResponse.md)


## Documentation For Authorization

 All endpoints do not require authorization.


## Author

richard@starinformatics.com

